%author		: Georg Kuschk
%function	: direkte Vektoriteration
%arguments	: Matrix A , Eigenwertnaeherung lambda0
%result		: betragsgroesster Eigenwert lambda , zugehoeriger Eigenvektor x

function [x,lambda] = vit_direct(A,lambda0)

n = size(A);
x(1:n,1) = 1;		%Startvektor = (1,1,...,1)
I=eye(n);

lambda = lambda0 + 1;
lambda_old = lambda0;

while abs((lambda - lambda_old)/lambda_old) >= 10^(-8) 
  lambda_old = lambda;
  y = A*x;
  lambda = x'*y;		%neue Naeherung des Eigenwertes
  x = y/norm(y,2);		%zugehoeriger Eigenvektor
end