%author		: Georg Kuschk
%function	: inverse Vektoriteration
%arguments	: Matrix A , Eigenwertnaeherung lambda0
%result		: betragsgroesster Eigenwert lambda , zugehoeriger Eigenvektor x

function [x,lambda] = vit_inverse_a(A,lambda0)

n = size(A);
x(1:n,1) = 0;				%Startvektor = (1,0,...,0)
x(1,1)=1;

I=eye(n);

B=A-lambda0*I;
B_inv=inv(B);

lambda = lambda0;
lambda_old = lambda0 + 1;

k=0; 					%Counter der Iterationsschritte

while abs((lambda - lambda_old)/lambda_old) >= 10^(-8) 
  lambda_old = lambda;
  y = B_inv*x;
  
  lambda_ = (x'*y);			%Eigenwert von B_inv
  lambda = lambda0 + 1/lambda_;		%Eigenwert von A
  x = y/norm(y,2);			%zugehoeriger Eigenvektor

  k=k+1;
  
  'Naeherung des Eigenwertes lambda im Schritt k : '
  k,lambda
end